package com.mortals.xhx.base.system.message;

import org.springframework.amqp.rabbit.connection.CorrelationData;

public interface RabbitMessageService {


    /**
     * 发送消息
     *
     * @author: zxfei
     * @date: 2022/9/2 11:31
     */
    void sendMsg(String exchange, String routingKey, String message);

    /**
     * 发送消息
     *
     * @author: zxfei
     * @date: 2022/9/2 11:31
     */
    void sendMsg(String exchange, String routingKey, String message, CorrelationData correlationData);

    /**
     * 新增队列并绑定交换机与路由
     *
     * @param exchange
     * @param routingKey
     * @param queue
     */
    void queueAddAndBinds(String exchange, String routingKey, String queue);


    /**
     * 删除队列
     *
     * @param queue
     */
    Boolean queueDelete(String queue);

}